ONVIF::Media::Types::JpegOptions(3)

NAME
ONVIF::Media::Types::JpegOptions

DESCRIPTION
Perl data type class for the XML Schema defined complexType JpegOptions from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   ResolutionsAvailable

•   FrameRateRange

•   EncodingIntervalRange

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::JpegOptions
   ResolutionsAvailable =>  { # ONVIF::Media::Types::VideoResolution
     Width =>  $some_value, # int
     Height =>  $some_value, # int
   },
   FrameRateRange =>  { # ONVIF::Media::Types::IntRange
     Min =>  $some_value, # int
     Max =>  $some_value, # int
   },
   EncodingIntervalRange =>  { # ONVIF::Media::Types::IntRange
     Min =>  $some_value, # int
     Max =>  $some_value, # int
   },
 },

AUTHOR
Generated by SOAP::WSDL